version 7.0
set more off
capture log close
log using "C:\fd-data\budgetdef.log", replace
* *** budget balance
use "C:\fd-data\fd-cross.dta", clear
* * distribution of budget balance
kdensity budgdef10, normal
save budgdef.gph, replace
swilk budgdef10
* *** 1st analysis (bivariate)
reg budgdef10 feddummy
reg budgdef10 fedtype
reg budgdef10 fedlijp
reg budgdef10 fedkeman
reg budgdef10 fedtreis
reg budgdef10 fedgth
reg budgdef10 fedmadx
reg budgdef10 dezrev2
reg budgdef10 dezrev3
reg budgdef10 dezrev4
reg budgdef10 snadm
reg budgdef10 dezrev1
reg budgdef10 dezexp
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum budgdef10
gen fbudgdef = budgdef10 if feddummy == 1
gen ubudgdef = budgdef10 if feddummy == 0
sdtest fbudgdef = ubudgdef
ttest fbudgdef = ubudgdef, unpaired unequal
* *** 3rd analysis (bivariate model selection)
* reg budgdef10 growth10
* reg budgdef10 unemp10
* reg budgdef10 infl10
* reg budgdef10 tradebal10
* reg budgdef10 govsize10
* reg budgdef10 socexp10
* reg budgdef10 incineq1
* reg budgdef10 incineq2
* reg budgdef10 incineq3
* reg budgdef10 pop
* reg budgdef10 area
* reg budgdef10 popdens
* reg budgdef10 ethnic
* reg budgdef10 religion
* reg budgdef10 hdi02
* reg budgdef10 urban
* reg budgdef10 legeng
* reg budgdef10 legfren
* reg budgdef10 legger
* reg budgdef10 legscan
* reg budgdef10 democ
* reg budgdef10 medage
* reg budgdef10 polisys
* * model1 specification
* reg budgdef10 unemp10 infl10 tradebal10 govsize10 hdi02 legfren medage
* reg budgdef10 unemp10 infl10 tradebal10 govsize10 hdi02 medage
* reg budgdef10 unemp10 infl10 tradebal10 govsize10 medage
* reg budgdef10 unemp10 tradebal10 govsize10 medage
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg budgdef10 unemp10 tradebal10 govsize10 medage feddummy
* reg budgdef10 unemp10 tradebal10 govsize10 medage fedtype
* reg budgdef10 unemp10 tradebal10 govsize10 medage fedlijp
* reg budgdef10 unemp10 tradebal10 govsize10 medage fedkeman
* reg budgdef10 unemp10 tradebal10 medage fedkeman
* reg budgdef10 unemp10 tradebal10 govsize10 medage fedtreis
* reg budgdef10 unemp10 tradebal10 medage fedtreis
* reg budgdef10 unemp10 tradebal10 govsize10 medage fedgth
* reg budgdef10 unemp10 tradebal10 govsize10 medage fedmadx
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants
* reg budgdef10 unemp10 tradebal10 medage pcgrants
* reg budgdef10 unemp10 tradebal10 pcgrants
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants feddummy
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fedtype
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fedlijp
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fedkeman
* reg budgdef10 unemp10 tradebal10 medage pcgrants fedkeman
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fedtreis
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fedgth
* reg budgdef10 unemp10 tradebal10 medage pcgrants fedgth
* reg budgdef10 unemp10 tradebal10 pcgrants fedgth
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fedmadx
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants dezrev2
* reg budgdef10 unemp10 tradebal10 medage pcgrants dezrev2
* reg budgdef10 unemp10 tradebal10 medage dezrev2
* reg budgdef10 unemp10 tradebal10 dezrev2
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants dezrev3
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants dezrev4
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants borrauton
* reg budgdef10 unemp10 tradebal10 govsize10 pcgrants borrauton
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton feddummy
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fedtype
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fedlijp
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fedkeman
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fedtreis
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fedgth
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fedmadx
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezrev2
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezrev3
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezrev4
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton hbc
* reg budgdef10 tradebal10 govsize10 pcgrants hbc
* reg budgdef10 tradebal10 govsize10 pcgrants hbc feddummy
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fedtype
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fedlijp
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fedkeman
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fedtreis
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fedgth
* reg budgdef10 tradebal10 pcgrants hbc fedgth
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fedmadx
* reg budgdef10 tradebal10 govsize10 pcgrants hbc dezrev2
* reg budgdef10 tradebal10 govsize10 pcgrants hbc dezrev3
* reg budgdef10 tradebal10 govsize10 pcgrants hbc dezrev4
* reg budgdef10 tradebal10 govsize10 pcgrants hbc snadm
* reg budgdef10 tradebal10 govsize10 pcgrants hbc dezrev1
* reg budgdef10 tradebal10 govsize10 pcgrants hbc pcsnborr
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fimb1
* reg budgdef10 tradebal10 govsize10 pcgrants hbc fimb2
* reg budgdef10 tradebal10 govsize10 pcgrants hbc grants
* reg budgdef10 tradebal10 govsize10 pcgrants hbc dezexp
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton snadm
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezrev1
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton pcsnborr
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fimb1
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton fimb2
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton grants
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezexp
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants hbc
* reg budgdef10 unemp10 tradebal10 govsize10 pcgrants hbc
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants snadm
* reg budgdef10 unemp10 tradebal10 medage pcgrants snadm
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants dezrev1
* reg budgdef10 unemp10 tradebal10 medage pcgrants dezrev1
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants pcsnborr
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fimb1
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 feddummy
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fedtype
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fedlijp
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedlijp
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fedkeman
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fedtreis
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fedgth
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fedmadx
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 pcgrants
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 dezrev2
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 dezrev3
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 dezrev4
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev4
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 borrauton
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 hbc
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 hbc
* reg budgdef10 tradebal10 govsize10 fimb1 hbc
* reg budgdef10 tradebal10 govsize10 fimb1 hbc feddummy
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fedtype
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fedlijp
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fedkeman
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fedtreis
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fedgth
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fedmadx
* reg budgdef10 tradebal10 govsize10 fimb1 hbc pcgrants
* reg budgdef10 tradebal10 govsize10 fimb1 hbc dezrev2
* reg budgdef10 tradebal10 govsize10 hbc dezrev2
* reg budgdef10 tradebal10 hbc dezrev2
* reg budgdef10 tradebal10 govsize10 fimb1 hbc dezrev3
* reg budgdef10 tradebal10 govsize10 fimb1 hbc dezrev4
* reg budgdef10 tradebal10 govsize10 fimb1 hbc borrauton
* reg budgdef10 tradebal10 govsize10 fimb1 hbc snadm
* reg budgdef10 tradebal10 govsize10 fimb1 hbc dezrev1
* reg budgdef10 tradebal10 govsize10 fimb1 hbc pcsnborr
* reg budgdef10 tradebal10 govsize10 fimb1 hbc fimb2
* reg budgdef10 tradebal10 govsize10 fimb1 hbc grants
* reg budgdef10 tradebal10 govsize10 fimb1 hbc dezexp
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 snadm
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 dezrev1
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 pcsnborr
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 fimb2
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 grants
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1 dezexp
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants fimb2
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 feddummy
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 fedtype
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 fedlijp
* reg budgdef10 unemp10 tradebal10 govsize10 fimb2 fedlijp
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 fedkeman
* reg budgdef10 unemp10 tradebal10 medage fimb2 fedkeman
* reg budgdef10 unemp10 tradebal10 medage fedkeman
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 fedtreis
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 fedgth
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 fedmadx
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 pcgrants
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 dezrev2
* reg budgdef10 unemp10 tradebal10 medage fimb2 dezrev2
* reg budgdef10 unemp10 tradebal10 fimb2 dezrev2
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 dezrev3
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev3
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 dezrev4
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev4
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 borrauton
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 hbc
* reg budgdef10 unemp10 tradebal10 govsize10 fimb2 hbc
* reg budgdef10 tradebal10 govsize10 fimb2 hbc
* reg budgdef10 tradebal10 govsize10 fimb2 hbc feddummy
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fedtype
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fedlijp
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fedkeman
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fedtreis
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fedgth
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fedmadx
* reg budgdef10 tradebal10 govsize10 fimb2 hbc pcgrants
* reg budgdef10 tradebal10 govsize10 fimb2 hbc dezrev2
* reg budgdef10 tradebal10 govsize10 fimb2 hbc dezrev3
* reg budgdef10 tradebal10 govsize10 fimb2 hbc dezrev4
* reg budgdef10 tradebal10 govsize10 hbc dezrev4
* reg budgdef10 tradebal10 hbc dezrev4
* reg budgdef10 tradebal10 govsize10 fimb2 hbc borrauton
* reg budgdef10 tradebal10 govsize10 fimb2 hbc snadm
* reg budgdef10 tradebal10 govsize10 fimb2 hbc dezrev1
* reg budgdef10 tradebal10 govsize10 fimb2 hbc pcsnborr
* reg budgdef10 tradebal10 govsize10 fimb2 hbc fimb1
* reg budgdef10 tradebal10 govsize10 fimb2 hbc pcsnborr
* reg budgdef10 tradebal10 govsize10 fimb2 hbc grants
* reg budgdef10 tradebal10 govsize10 fimb2 hbc dezexp
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 snadm
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 dezrev1
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 pcsnborr
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 grants
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2 dezexp
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants grants
* reg budgdef10 unemp10 tradebal10 medage pcgrants grants
* reg budgdef10 unemp10 tradebal10 pcgrants grants
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcgrants dezexp
* reg budgdef10 unemp10 tradebal10 medage pcgrants dezexp
* reg budgdef10 unemp10 tradebal10 pcgrants dezexp
* reg budgdef10 unemp10 tradebal10 dezexp
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev2
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev3
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev4
* reg budgdef10 unemp10 tradebal10 govsize10 medage borrauton
* reg budgdef10 unemp10 tradebal10 govsize10 medage hbc
* reg budgdef10 unemp10 tradebal10 govsize10 medage snadm
* reg budgdef10 unemp10 tradebal10 medage snadm
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezrev1
* reg budgdef10 unemp10 tradebal10 govsize10 medage pcsnborr
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb2
* reg budgdef10 unemp10 tradebal10 govsize10 medage grants
* reg budgdef10 unemp10 tradebal10 govsize10 medage dezexp
* * model11 specification
reg budgdef10 unemp10 tradebal10 dezrev2
* vif
hettest
* predict budgdefhat1
predict budgdefe1, r
* graph budgdefe1 budgdefhat1
* save budgdef1.gph, replace
swilk budgdefe1
predict budgdefcook1, cooksd
local max = 4/e(N)
* display `max'
tab budgdefcook1 country if budgdefcook1 > `max'
reg budgdef10 unemp10 tradebal10 dezrev2 if budgdefcook1 < .5
hettest
predict budgdefhat2
predict budgdefe2, r
graph budgdefe2 budgdefhat2 if budgdefcook1 < .5
save budgdef2.gph, replace
swilk budgdefe2 if budgdefcook1 < .5
* reg budgdef10 unemp10 tradebal10 dezrev2 feddummy if budgdefcook1 < .5
reg budgdef10 unemp10 dezrev2 feddummy if budgdefcook1 < .5
reg budgdef10 unemp10 tradebal10 dezrev2 fedtype if budgdefcook1 < .5
reg budgdef10 unemp10 tradebal10 dezrev2 fedlijp if budgdefcook1 < .5
reg budgdef10 unemp10 tradebal10 dezrev2 fedkeman if budgdefcook1 < .5
reg budgdef10 unemp10 tradebal10 dezrev2 fedtreis if budgdefcook1 < .5
reg budgdef10 unemp10 tradebal10 dezrev2 fedgth if budgdefcook1 < .5
reg budgdef10 unemp10 tradebal10 dezrev2 fedmadx if budgdefcook1 < .5
* * model12 specification
reg budgdef10 tradebal10 pcgrants hbc fedgth
* vif
hettest
predict budgdefhat3
predict budgdefe3, r
graph budgdefe3 budgdefhat3
save budgdef3.gph, replace
swilk budgdefe3
predict budgdefcook3, cooksd
local max = 4/e(N)
* display `max'
tab budgdefcook3 country if budgdefcook3 > `max'
reg budgdef10 tradebal10 pcgrants hbc fedgth if budgdefcook3 < .5
hettest
reg budgdef10 tradebal10 pcgrants hbc fedgth fedtype if budgdefcook3 < .5
* reg budgdef10 tradebal10 pcgrants hbc fedgth dezrev2 if budgdefcook3 < .5
* reg budgdef10 tradebal10 hbc fedgth dezrev2 if budgdefcook3 < .5
reg budgdef10 tradebal10 hbc dezrev2 if budgdefcook3 < .5
* reg budgdef10 tradebal10 pcgrants hbc fedgth dezrev3 if budgdefcook3 < .5
* reg budgdef10 tradebal10 hbc fedgth dezrev3 if budgdefcook3 < .5
reg budgdef10 tradebal10 hbc dezrev3 if budgdefcook3 < .5
* reg budgdef10 tradebal10 pcgrants hbc fedgth dezrev4 if budgdefcook3 < .5
reg budgdef10 tradebal10 pcgrants hbc dezrev4 if budgdefcook3 < .5
reg budgdef10 tradebal10 pcgrants hbc fedgth snadm if budgdefcook3 < .5
reg budgdef10 tradebal10 pcgrants hbc fedgth dezrev1 if budgdefcook3 < .5
* reg budgdef10 tradebal10 pcgrants hbc fedgth dezexp if budgdefcook3 < .5
reg budgdef10 tradebal10 pcgrants hbc dezexp if budgdefcook3 < .5
* * model13 specification
reg budgdef10 tradebal10 hbc dezrev2
* vif
hettest
* predict budgdefhat4
predict budgdefe4, r
* graph budgdefe4 budgdefhat4
* save budgdef4.gph, replace
swilk budgdefe4
predict budgdefcook4, cooksd
local max = 4/e(N)
* display `max'
tab budgdefcook4 country if budgdefcook4 > `max'
reg budgdef10 tradebal10 hbc dezrev2 if budgdefcook4 < .5
hettest
predict budgdefhat5
predict budgdefe5, r
graph budgdefe5 budgdefhat5 if budgdefcook4 < .5
save budgdef5.gph, replace
swilk budgdefe5 if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 feddummy if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 fedtype if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 fedlijp if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 fedkeman if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 fedtreis if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 fedgth if budgdefcook4 < .5
reg budgdef10 tradebal10 hbc dezrev2 fedmadx if budgdefcook4 < .5
* * model14 specification
reg budgdef10 tradebal10 hbc dezrev4
* vif
hettest
* predict budgdefhat6
predict budgdefe6, r
* graph budgdefe6 budgdefhat6
* save budgdef6.gph, replace
swilk budgdefe6
predict budgdefcook6, cooksd
local max = 4/e(N)
* display `max'
tab budgdefcook6 country if budgdefcook6 > `max'
reg budgdef10 tradebal10 hbc dezrev4 if budgdefcook6 < .5
hettest
predict budgdefhat7
predict budgdefe7, r
graph budgdefe7 budgdefhat7 if budgdefcook6 < .5
save budgdef7.gph, replace
swilk budgdefe7 if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 feddummy if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 fedtype if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 fedlijp if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 fedkeman if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 fedtreis if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 fedgth if budgdefcook6 < .5
reg budgdef10 tradebal10 hbc dezrev4 fedmadx if budgdefcook6 < .5
* *** 4th analysis (stepwise model selection)
sw reg budgdef10 growth10 unemp10 infl10 tradebal10 govsize10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
* predict budgdefhat8
predict budgdefe8, r
* graph budgdefe8 budgdefhat8
* save budgdef8.gph, replace
swilk budgdefe8
predict budgdefcook8, cooksd
local max = 4/e(N)
* display `max'
tab budgdefcook8 country if budgdefcook8 > `max'
* reg budgdef10 growth10 unemp10 tradebal10 popdens urban medage if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens urban medage if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 popdens medage if budgdefcook8 < .5
hettest
predict budgdefhat9
predict budgdefe9, r
graph budgdefe9 budgdefhat9 if budgdefcook8 < .5
save budgdef9.gph, replace
swilk budgdefe9 if budgdefcook8 < .5
* * inclusion of decentralization, federalism, fiscal variables
* * model21
* reg budgdef10 unemp10 tradebal10 popdens medage feddummy if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fedtype if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fedlijp if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fedkeman if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 medage fedkeman if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fedtreis if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fedgth if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fedmadx if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage pcgrants if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage dezrev2 if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage dezrev3 if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage dezrev4 if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage borrauton if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage hbc if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage snadm if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm if budgdefcook8 < .5
* vif
hettest
reg budgdef10 unemp10 tradebal10 medage snadm feddummy if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm fedtype if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm fedlijp if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm fedkeman if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm fedtreis if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm fedgth if budgdefcook8 < .5
reg budgdef10 unemp10 tradebal10 medage snadm fedmadx if budgdefcook8 < .5
* * model22
* reg budgdef10 unemp10 tradebal10 popdens medage dezrev1 if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage pcsnborr if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fimb1 if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage fimb2 if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage grants if budgdefcook8 < .5
* reg budgdef10 unemp10 tradebal10 popdens medage dezexp if budgdefcook8 < .5
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model1
* * model1a
reg budgdef10 tradebal10 govsize10 pcgrants borrauton
* vif
hettest
predict budgdefcook10, cooksd
reg budgdef10 tradebal10 govsize10 pcgrants borrauton if budgdefcook10 < .5
hettest
estat ic
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezrev2 if budgdefcook10 < .5
* reg budgdef10 tradebal10 govsize10 borrauton dezrev2 if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 if budgdefcook10 < .5
estat ic
* * inclusion of control variables
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton dezexp if budgdefcook10 < .5
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton unemp10 if budgdefcook10 < .5
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton infl10 if budgdefcook10 < .5
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton hdi02 if budgdefcook10 < .5
* reg budgdef10 tradebal10 govsize10 pcgrants borrauton medage if budgdefcook10 < .5
* reg budgdef10 tradebal10 borrauton dezrev2 medage if budgdefcook10 < .5
* reg budgdef10 tradebal10 borrauton legfren if budgdefcook10 < .5
* reg budgdef10 tradebal10 borrauton dezrev2 infl10 if budgdefcook10 < .5
* reg budgdef10 tradebal10 borrauton dezrev2 unemp10 if budgdefcook10 < .5
* * model1b (inclusion of federalism)
reg budgdef10 tradebal10 borrauton dezrev2 feddummy if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 fedtype if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 fedlijp if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 fedkeman if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 hdi02 if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 fedtreis if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 fedgth if budgdefcook10 < .5
reg budgdef10 tradebal10 borrauton dezrev2 fedmadx if budgdefcook10 < .5
* * model1c
reg budgdef10 tradebal10 borrauton dezrev2
predict budgdefcook11, cooksd
reg budgdef10 tradebal10 borrauton dezrev2 if budgdefcook11 < .5
hettest
estat ic
* * model1d
reg budgdef10 dezexp
* hettest
predict budgdefcook12, c
* tab country budgdefcook12 if budgdefcook12 > 4/e(N)
reg budgdef10 dezexp, robust hc3
* * model21
* reg budgdef10 tradebal10 borrauton dezrev1 if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev1 if budgdefcook11 < .5
estat ic
reg budgdef10 tradebal10 borrauton dezrev1 if budgdefcook11 < .5
estat ic
* reg budgdef10 tradebal10 dezrev2 govsize10 if budgdefcook11 < .5
* reg budgdef10 tradebal10 dezrev2 borrauton govsize10 if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev2 hbc govsize10 if budgdefcook11 < .5
estat ic
* * inclusion of federalism
reg budgdef10 tradebal10 dezrev2 hbc govsize10 feddummy if budgdefcook11 < .5
hettest
estat ic
reg budgdef10 tradebal10 dezrev2 hbc govsize10 fedtype if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev2 hbc govsize10 fedlijp if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev2 hbc govsize10 fedkeman if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev2 hbc govsize10 fedtreis if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev2 hbc govsize10 fedgth if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev2 hbc govsize10 fedmadx if budgdefcook11 < .5
* * alternative inclusion of decentralization
reg budgdef10 tradebal10 dezrev1 hbc govsize10 feddummy if budgdefcook11 < .5
reg budgdef10 tradebal10 dezexp hbc govsize10 feddummy if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev3 hbc govsize10 feddummy if budgdefcook11 < .5
reg budgdef10 tradebal10 dezrev4 hbc govsize10 feddummy if budgdefcook11 < .5
* * model31
* reg budgdef10 tradebal10 govsize10 medage fimb1
* reg budgdef10 tradebal10 govsize10 medage fimb2
* reg budgdef10 tradebal10 govsize10 fimb2
* reg budgdef10 unemp10 tradebal10 govsize10 medage fimb1
reg budgdef10 unemp10 tradebal10 govsize10 fimb1
* vif
hettest
predict budgdefcook13, cooksd
tab country budgdefcook13 if budgdefcook13 > 4/e(N)
reg budgdef10 unemp10 tradebal10 govsize10 fimb1, robust hc3
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 feddummy, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedtype, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedlijp, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedkeman, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedtreis, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedgth, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 fedmadx, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 pcgrants, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 pcgrants, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezrev2, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 dezrev2, robust hc3
* reg budgdef10 unemp10 tradebal10 dezrev2, robust hc3
reg budgdef10 unemp10 dezrev2, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezrev3, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezrev4, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 snadm, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezrev1, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezexp, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezrev1, robust hc3
* reg budgdef10 unemp10 tradebal10 govsize10 fimb1 dezrev1
* hettest
* predict budgdefcook14, cooksd
* tab budgdefcook14 if budgdefcook14 > .5
* * inclusion of control variables
reg budgdef10 unemp10 tradebal10 govsize10 fimb1 hdi02, robust hc3
reg budgdef10 unemp10 tradebal10 govsize10 fimb1 legfren, robust hc3
reg budgdef10 unemp10 tradebal10 govsize10 fimb1 infl10, robust hc3
reg budgdef10 unemp10 tradebal10 govsize10 fimb1 medage, robust hc3
* * model32
reg budgdef10 tradebal10 govsize10 fimb2 hbc
hettest
predict budgdefcook15, cooksd
* reg budgdef10 tradebal10 govsize10 fimb2 hbc if budgdefcook15 < .5
* reg budgdef10 tradebal10 govsize10 fimb2 hbc dezrev2 if budgdefcook15 < .5
reg budgdef10 tradebal10 fimb2 hbc dezrev2 if budgdefcook15 < .5
estat ic
reg budgdef10 tradebal10 fimb2 hbc dezrev2 feddummy if budgdefcook15 < .5
* reg budgdef10 unemp tradebal10 fimb2 hbc dezrev2 if budgdefcook15 < .5
* reg budgdef10 tradebal10 fimb2 hbc dezrev1 if budgdefcook15 < .5
* reg budgdef10 tradebal10 fimb2 dezrev1 if budgdefcook15 < .5
* reg budgdef10 tradebal10 fimb2 govsize10 dezrev1 if budgdefcook15 < .5
* reg budgdef10 tradebal10 fimb2 dezexp if budgdefcook15 < .5
reg budgdef10 tradebal10 fimb1 hbc dezrev2 if budgdefcook15 < .5
estat ic
* * model33
* reg budgdef10 tradebal10 pcgrants hbc fedgth
* reg budgdef10 tradebal10 pcgrants hbc fedgth dezrev2
reg budgdef10 tradebal10 pcgrants hbc fedgth
predict budgdefcook16, cooksd
reg budgdef10 tradebal10 pcgrants hbc fedgth if budgdefcook16 < .5
reg budgdef10 tradebal10 pcgrants hbc fedgth dezrev2 if budgdefcook16 < .5
* * model34
* reg budgdef10 tradebal10 unemp10 medage growth10 popdens urban
* reg budgdef10 tradebal10 unemp10 medage popdens urban
reg budgdef10 tradebal10 medage popdens urban
hettest
predict budgdefcook17, cooksd
* reg budgdef10 tradebal10 medage popdens urban if budgdefcook17 < .5
reg budgdef10 tradebal10 popdens urban if budgdefcook17 < .5
hettest
reg budgdef10 tradebal10 popdens urban if budgdefcook17 < .5, robust hc3
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg budgdef10 tradebal10 popdens urban feddummy if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fedtype if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fedlijp if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 popdens fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fedtreis if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fedgth if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fedmadx if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcgrants if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 urban pcgrants if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 pcgrants if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban dezrev3 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban dezrev4 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban borrauton if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban hbc if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban snadm if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban dezrev1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fimb1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban fimb2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban grants if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban dezexp if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants feddummy if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fedtype if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fedlijp if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fedtreis if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fedgth if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fedmadx if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants dezrev3 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants dezrev4 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants borrauton if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants hbc if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants snadm if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants dezrev1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants pcsnborr if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants dezexp if budgdefcook17 < .5, robust hc3
* reg budgdef10 dezexp if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 feddummy if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 fedtype if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 fedlijp if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 fedtreis if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 fedgth if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 fedmadx if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 fimb1 dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 dezrev3 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 dezrev4 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 borrauton if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 hbc if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 snadm if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 dezrev1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 pcsnborr if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 grants if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants fimb1 dezexp if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr feddummy if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fedtype if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fedlijp if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fedtreis if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fedgth if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fedmadx if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr pcgrants if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens pcsnborr dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 pcsnborr dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr dezrev3 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr dezrev4 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr borrauton if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr hbc if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr snadm if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr dezrev1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr fimb1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr grants if budgdefcook17 < .5, robust hc3
* reg budgdef10 tradebal10 popdens urban pcsnborr dezexp if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants feddummy if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fedtype if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fedlijp if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fedkeman if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fedtreis if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fedgth if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fedmadx if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants dezrev2 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants dezrev3 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants dezrev4 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants borrauton if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants hbc if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants snadm if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants dezrev1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants pcsnborr if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants fimb1 if budgdefcook17 < .5, robust hc3
* reg budgdef10 pcgrants grants dezexp if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants grants if budgdefcook17 < .5, robust hc3
estat ic
* * inclusion of federalism, control variables (model35)
reg budgdef10 pcgrants fimb1 dezexp feddummy if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp fedlijp if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp fedkeman if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp fedtreis if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp fedgth if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp fedmadx if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp growth10 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp unemp10 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp infl10 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp tradebal10 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp govsize10 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp incineq1 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp popdens if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp hdi02 if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp urban if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp legfren if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp democ if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp medage if budgdefcook17 < .5, robust hc3
reg budgdef10 pcgrants fimb1 dezexp if budgdefcook17 < .5, robust hc3
estat ic
* * model4
* reg budgdef10 unemp10 tradebal10 medage snadm
* predict budgdefcook18, cooksd
* reg budgdef10 unemp10 tradebal10 medage snadm if budgdefcook18 < .5
* hettest
* reg budgdef10 unemp10 tradebal10 medage snadm if budgdefcook18 < .5, robust hc3
* reg budgdef10 unemp10 tradebal10 snadm if budgdefcook18 < .5, robust hc3
log close
