version 7.0
set more off
capture log close
log using "C:\fd-data\govsize.log", replace
* *** government size
use "C:\fd-data\fd-cross.dta", clear
* * distribution of government size
swilk govsize10
kdensity govsize10, normal
save govsize.gph, replace
* *** 1st analysis (bivariate)
reg govsize10 feddummy
reg govsize10 fedtype
reg govsize10 fedlijp
reg govsize10 fedkeman
reg govsize10 fedtreis
reg govsize10 fedgth
reg govsize10 fedmadx
reg govsize10 dezrev2
reg govsize10 dezrev3
reg govsize10 dezrev4
reg govsize10 snadm
reg govsize10 dezexp
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum govsize10
gen fgovsize = govsize10 if feddummy == 1
gen ugovsize = govsize10 if feddummy == 0
sdtest fgovsize = ugovsize
ttest fgovsize = ugovsize, unpaired
* *** 3rd analysis (bivariate model selection)
* reg govsize10 growth10
* reg govsize10 unemp10
* reg govsize10 infl10
* reg govsize10 tradebal10
* reg govsize10 socexp10
* reg govsize10 budgdef10
* reg govsize10 incineq1
* reg govsize10 incineq2
* reg govsize10 incineq3
* reg govsize10 pop
* reg govsize10 area
* reg govsize10 popdens
* reg govsize10 ethnic
* reg govsize10 religion
* reg govsize10 hdi02
* reg govsize10 urban
* reg govsize10 legeng
* reg govsize10 legfren
* reg govsize10 legger
* reg govsize10 legscan
* reg govsize10 democ
* reg govsize10 medage
* reg govsize10 polisys
* * model1 specification
* reg govsize10 socexp10 budgdef10 incineq1 incineq3 pop legeng legscan medage
* reg govsize10 socexp10 budgdef10 incineq1 incineq3 pop legscan medage
* reg govsize10 socexp10 budgdef10 incineq1 incineq3 pop legscan
* reg govsize10 budgdef10 incineq1 incineq3 pop legscan
* reg govsize10 budgdef10 incineq3 pop legscan
* reg govsize10 budgdef10 incineq3 legscan
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg govsize10 budgdef10 incineq3 legscan feddummy
* reg govsize10 budgdef10 incineq3 legscan fedtype
* reg govsize10 budgdef10 incineq3 legscan fedlijp
* reg govsize10 budgdef10 incineq3 legscan fedkeman
* reg govsize10 budgdef10 incineq3 legscan fedtreis
* reg govsize10 budgdef10 incineq3 legscan fedgth
* reg govsize10 budgdef10 incineq3 legscan fedmadx
* reg govsize10 budgdef10 incineq3 legscan pcgrants
* reg govsize10 budgdef10 incineq3 legscan dezrev2
* reg govsize10 budgdef10 incineq3 legscan dezrev3
* reg govsize10 budgdef10 incineq3 legscan dezrev4
* reg govsize10 budgdef10 incineq3 legscan borrauton
* reg govsize10 budgdef10 incineq3 legscan hbc
* reg govsize10 budgdef10 incineq3 legscan snadm
* reg govsize10 budgdef10 incineq3 legscan dezrev1
* reg govsize10 budgdef10 incineq3 legscan pcsnborr
* reg govsize10 budgdef10 incineq3 legscan fimb1
* reg govsize10 budgdef10 incineq3 legscan fimb2
* reg govsize10 budgdef10 incineq3 legscan grants
* reg govsize10 budgdef10 incineq3 legscan dezexp
* * additional model1 analysis
reg govsize10 budgdef10 incineq3 legscan
* vif
hettest
* predict govshat1
predict govse1, r
* graph govse1 govshat1
* save govsize1.gph, replace
swilk govse1
predict govscook1, cooksd
local max = 4/e(N)
* display `max'
tab govscook1 country if govscook1 > `max'
reg govsize10 budgdef10 incineq3 legscan if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan feddummy if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan fedtype if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan fedlijp if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan fedkeman if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan fedtreis if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan fedgth if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan fedmadx if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan dezrev2 if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan dezrev3 if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan dezrev4 if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan snadm if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan dezrev1 if govscook1 < .5
reg govsize10 budgdef10 incineq3 legscan dezexp if govscook1 < .5
* * model2 specification
* reg govsize10 socexp10 budgdef10 incineq1 incineq3 pop legeng legscan medage
* reg govsize10 budgdef10 incineq1 incineq3 pop legeng legscan medage
* reg govsize10 budgdef10 incineq1 pop legeng legscan medage
* reg govsize10 budgdef10 incineq1 pop legeng legscan
* reg govsize10 budgdef10 incineq1 legeng legscan
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg govsize10 budgdef10 incineq1 legeng legscan feddummy
* reg govsize10 budgdef10 incineq1 legeng legscan fedtype
* reg govsize10 budgdef10 incineq1 legeng legscan fedlijp
* reg govsize10 budgdef10 incineq1 legeng legscan fedkeman
* reg govsize10 budgdef10 incineq1 legeng legscan fedtreis
* reg govsize10 budgdef10 incineq1 legeng legscan fedgth
* reg govsize10 budgdef10 incineq1 legeng legscan fedmadx
* reg govsize10 budgdef10 incineq1 legeng legscan pcgrants
* reg govsize10 budgdef10 incineq1 legeng legscan dezrev2
* reg govsize10 budgdef10 incineq1 legeng legscan dezrev3
* reg govsize10 budgdef10 incineq1 legscan dezrev3
* reg govsize10 budgdef10 incineq1 legeng legscan dezrev4
* reg govsize10 budgdef10 incineq1 legeng legscan borrauton
* reg govsize10 budgdef10 incineq1 legeng legscan hbc
* reg govsize10 budgdef10 incineq1 legeng legscan snadm
* reg govsize10 budgdef10 incineq1 legeng legscan dezrev1
* reg govsize10 budgdef10 incineq1 legeng legscan pcsnborr
* reg govsize10 budgdef10 incineq1 legeng legscan fimb1
* reg govsize10 budgdef10 incineq1 legeng legscan fimb2
* reg govsize10 budgdef10 incineq1 legeng legscan grants
* reg govsize10 budgdef10 incineq1 legeng legscan dezexp
* * additional model2 analysis
reg govsize10 budgdef10 incineq1 legeng legscan
* vif
hettest
* predict govshat2
predict govse2, r
* graph govse2 govshat2
* save govsize2.gph, replace
swilk govse2
predict govscook2, cooksd
local max = 4/e(N)
* display `max'
tab govscook2 country if govscook2 > `max'
reg govsize10 budgdef10 incineq1 legeng legscan if govscook2 < .5
hettest
reg govsize10 budgdef10 incineq1 legeng legscan feddummy if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan fedtype if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan fedlijp if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan fedkeman if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan fedtreis if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan fedgth if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan fedmadx if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan dezrev2 if govscook2 < .5
* reg govsize10 budgdef10 incineq1 legeng legscan dezrev3 if govscook2 < .5
reg govsize10 budgdef10 incineq1 legscan dezrev3 if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan dezrev4 if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan snadm if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan dezrev1 if govscook2 < .5
reg govsize10 budgdef10 incineq1 legeng legscan dezexp if govscook2 < .5
* *** 4th analysis (stepwise model selection)
sw reg govsize10 growth10 unemp10 infl10 tradebal10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
predict govshat3
predict govse3, r
graph govse3 govshat3
save govsize3.gph, replace
swilk govse3
predict govscook3, cooksd
local max = 4/e(N)
* display `max'
tab govscook3 country if govscook3 > `max'
reg govsize10 budgdef10 incineq1 legfren legscan if govscook3 < .5
hettest
* inclusion of decentralization, federalism, fiscal variables
* model31
* reg govsize10 budgdef10 incineq1 legfren legscan feddummy if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fedtype if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fedlijp if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fedkeman if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fedtreis if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fedgth if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fedmadx if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan pcgrants if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan dezrev2 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan dezrev3 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legscan dezrev3 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan dezrev4 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan borrauton if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan hbc if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan snadm if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan dezrev1 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan pcsnborr if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fimb1 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan fimb2 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants feddummy if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fedtype if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fedlijp if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fedkeman if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fedtreis if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fedgth if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fedmadx if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants pcgrants if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants dezrev2 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants dezrev3 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants dezrev4 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants borrauton if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants hbc if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants snadm if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants dezrev1 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants pcsnborr if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fimb1 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants fimb2 if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan grants dezexp if govscook3 < .5
* reg govsize10 budgdef10 incineq1 legfren legscan dezexp if govscook3 < .5
* * no results
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model11
reg govsize10 budgdef10 incineq3 legscan
predict govscook4, cooksd
reg govsize budgdef10 incineq3 legscan if govscook4 < .5
estat ic
* * inclusion of control variables
reg govsize10 budgdef10 incineq3 legscan socexp10 if govscook4 < .5
* reg govsize10 budgdef10 incineq3 legscan incineq1 if govscook4 < .5
reg govsize10 budgdef10 legscan incineq1 if govscook4 < .5
reg govsize10 budgdef10 incineq3 legscan pop if govscook4 < .5
* reg govsize10 budgdef10 incineq3 legscan legeng if govscook4 < .5
reg govsize10 budgdef10 legscan legeng if govscook4 < .5
reg govsize10 budgdef10 incineq3 legscan medage if govscook4 < .5
* * model21
reg govsize10 budgdef10 incineq1 legscan legeng
predict govscook5, cooksd
reg govsize10 budgdef10 incineq1 legscan legeng if govscook5 < .5
estat ic
* * inclusion of control variables
reg govsize10 budgdef10 incineq1 legscan legeng socexp10 if govscook5 < .5
* reg govsize10 budgdef10 incineq1 legscan legeng legfren if govscook5 < .5
reg govsize10 budgdef10 incineq1 legscan legfren if govscook5 < .5
estat ic
* reg govsize10 budgdef10 incineq1 legscan legfren socexp10 if govscook5 < .5
log close

