version 7.0
set more off
capture log close
log using "C:\fd-data\librarians.log", replace
* *** librarians
use "C:\fd-data\fd-cross.dta", clear
* * distribution of librarians
swilk librarians
kdensity librarians, normal
save librarians.gph, replace
gen sqrtlibrarians = sqrt(librarians)
swilk sqrtlibrarians
kdensity sqrtlibrarians, normal
save sqrtlibrarians.gph, replace
* *** 1st analysis (bivariate)
reg sqrtlibrarians feddummy
reg sqrtlibrarians fedtype
reg sqrtlibrarians fedlijp
reg sqrtlibrarians fedkeman
reg sqrtlibrarians fedtreis
reg sqrtlibrarians fedgth
reg sqrtlibrarians fedmadx
reg sqrtlibrarians dezrev2
reg sqrtlibrarians dezrev3
reg sqrtlibrarians dezrev4
reg sqrtlibrarians snadm
reg sqrtlibrarians dezrev1
reg sqrtlibrarians dezexp
reg sqrtlibrarians rec
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum sqrtlibrarians
gen flibrarians = sqrtlibrarians if feddummy == 1
gen ulibrarians = sqrtlibrarians if feddummy == 0
sdtest flibrarians = ulibrarians
ttest flibrarians = ulibrarians, unpaired
* *** 3rd analysis (bivariate model selection)
* reg sqrtlibrarians pcrec
* reg sqrtlibrarians growth10
* reg sqrtlibrarians unemp10
* reg sqrtlibrarians infl10
* reg sqrtlibrarians tradebal10
* reg sqrtlibrarians govsize10
* reg sqrtlibrarians socexp10
* reg sqrtlibrarians budgdef10
* reg sqrtlibrarians incineq1
* reg sqrtlibrarians incineq2
* reg sqrtlibrarians incineq3
* reg sqrtlibrarians pop
* reg sqrtlibrarians area
* reg sqrtlibrarians popdens
* reg sqrtlibrarians ethnic
* reg sqrtlibrarians religion
* reg sqrtlibrarians hdi02
* reg sqrtlibrarians urban
* reg sqrtlibrarians legeng
* reg sqrtlibrarians legfren
* reg sqrtlibrarians legger
* reg sqrtlibrarians legscan
* reg sqrtlibrarians democ
* reg sqrtlibrarians medage
* reg sqrtlibrarians polisys
* * model1 specification
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq1 incineq2 pop area hdi02 legfren legscan democ medage polisys
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq1 incineq2 pop area hdi02 legscan democ medage polisys
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq2 pop area hdi02 legscan democ medage polisys
* vif
* reg sqrtlibrarians infl10 budgdef10 incineq2 pop area hdi02 legscan democ medage polisys
* reg sqrtlibrarians infl10 budgdef10 pop area hdi02 legscan democ medage polisys
* reg sqrtlibrarians infl10 budgdef10 area hdi02 legscan democ medage polisys
* reg sqrtlibrarians infl10 budgdef10 area hdi02 legscan democ polisys
* reg sqrtlibrarians infl10 budgdef10 area hdi02 legscan democ
* reg sqrtlibrarians infl10 area hdi02 legscan democ
* reg sqrtlibrarians infl10 area hdi02 legscan
* reg sqrtlibrarians infl10 area legscan
* * inclusion of federalism, decentralization, fiscal variables
* reg sqrtlibrarians infl10 area legscan feddummy
* reg sqrtlibrarians infl10 area legscan fedtype
* reg sqrtlibrarians infl10 area legscan fedlijp
* reg sqrtlibrarians infl10 area legscan fedkeman
* reg sqrtlibrarians infl10 area legscan fedtreis
* reg sqrtlibrarians infl10 area legscan fedgth
* reg sqrtlibrarians infl10 area legscan fedmadx
* reg sqrtlibrarians infl10 area legscan pcgrants
* reg sqrtlibrarians infl10 area legscan dezrev2
* reg sqrtlibrarians area legscan dezrev2
* reg sqrtlibrarians area dezrev2
* reg sqrtlibrarians infl10 area legscan dezrev3
* reg sqrtlibrarians area legscan dezrev3
* reg sqrtlibrarians area dezrev3
* reg sqrtlibrarians infl10 area legscan dezrev4
* reg sqrtlibrarians area legscan dezrev4
* reg sqrtlibrarians infl10 area legscan borrauton
* reg sqrtlibrarians area legscan borrauton
* reg sqrtlibrarians infl10 area legscan hbc
* reg sqrtlibrarians area legscan hbc
* reg sqrtlibrarians infl10 area legscan snadm
* reg sqrtlibrarians area legscan snadm
* reg sqrtlibrarians infl10 area legscan dezrev1
* reg sqrtlibrarians area legscan dezrev1
* reg sqrtlibrarians infl10 area legscan pcsnborr
* reg sqrtlibrarians area legscan pcsnborr
* reg sqrtlibrarians infl10 area legscan fimb1
* reg sqrtlibrarians area legscan fimb1
* reg sqrtlibrarians infl10 area legscan fimb2
* reg sqrtlibrarians area legscan fimb2
* reg sqrtlibrarians infl10 area legscan grants
* reg sqrtlibrarians area legscan grants
* reg sqrtlibrarians infl10 area legscan dezexp
* reg sqrtlibrarians area legscan dezexp
* reg sqrtlibrarians infl10 area legscan rec
* reg sqrtlibrarians area legscan rec
* * model11 specification
reg sqrtlibrarians infl10 area legscan feddummy
* vif
hettest
predict librarianshat1
predict librarianse1, r
graph librarianse1 librarianshat1
save librarians1.gph, replace
swilk librarianse1
predict librarianscook1, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook1 country if librarianscook1 > `max'
* reg sqrtlibrarians infl10 area legscan feddummy if librarianscook1 < .5
reg sqrtlibrarians area legscan feddummy if librarianscook1 < .5
hettest
reg sqrtlibrarians area legscan feddummy fedtype if librarianscook1 < .5
reg sqrtlibrarians area legscan feddummy dezrev2 if librarianscook1 < .5
reg sqrtlibrarians area legscan feddummy dezrev3 if librarianscook1 < .5
reg sqrtlibrarians area legscan feddummy dezrev4 if librarianscook1 < .5
reg sqrtlibrarians area legscan feddummy snadm if librarianscook1 < .5
* reg sqrtlibrarians area legscan feddummy dezrev1 if librarianscook1 < .5
reg sqrtlibrarians area legscan dezrev1 if librarianscook1 < .5
* reg sqrtlibrarians area legscan feddummy dezexp if librarianscook1 < .5
reg sqrtlibrarians area legscan dezexp if librarianscook1 < .5
reg sqrtlibrarians area legscan feddummy rec if librarianscook1 < .5
* * model12 specification
reg sqrtlibrarians infl10 area legscan fedmadx
* vif
hettest
predict librarianshat2
predict librarianse2, r
graph librarianse2 librarianshat2
save librarians2.gph, replace
swilk librarianse2
predict librarianscook2, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook2 country if librarianscook2 > `max'
* reg sqrtlibrarians infl10 area legscan fedmadx if librarianscook2 < .5
reg sqrtlibrarians area legscan fedmadx if librarianscook2 < .5
hettest
reg sqrtlibrarians area legscan fedmadx fedtype if librarianscook2 < .5
* reg sqrtlibrarians area legscan fedmadx dezrev2 if librarianscook2 < .5
* reg sqrtlibrarians area legscan dezrev2 if librarianscook2 < .5
reg sqrtlibrarians area dezrev2 if librarianscook2 < .5
* reg sqrtlibrarians area legscan fedmadx dezrev3 if librarianscook2 < .5
reg sqrtlibrarians area legscan dezrev3 if librarianscook2 < .5
reg sqrtlibrarians area legscan fedmadx dezrev4 if librarianscook2 < .5
reg sqrtlibrarians area legscan fedmadx snadm if librarianscook2 < .5
* reg sqrtlibrarians area legscan fedmadx dezrev1 if librarianscook2 < .5
reg sqrtlibrarians area legscan dezrev1 if librarianscook2 < .5
* reg sqrtlibrarians area legscan fedmadx dezexp if librarianscook2 < .5
reg sqrtlibrarians area legscan dezexp if librarianscook2 < .5
reg sqrtlibrarians area legscan fedmadx rec if librarianscook2 < .5
* * model13 specification
reg sqrtlibrarians area dezrev2
* vif
hettest
predict librarianshat3
predict librarianse3, r
graph librarianse3 librarianshat3
save librarians3.gph, replace
swilk librarianse3
predict librarianscook3, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook3 country if librarianscook3 > `max'
reg sqrtlibrarians area dezrev2 if librarianscook3 < .5
hettest
reg sqrtlibrarians area dezrev2 feddummy if librarianscook3 < .5
reg sqrtlibrarians area dezrev2 fedtype if librarianscook3 < .5
reg sqrtlibrarians area dezrev2 fedlijp if librarianscook3 < .5
reg sqrtlibrarians area dezrev2 fedkeman if librarianscook3 < .5
reg sqrtlibrarians area dezrev2 fedtreis if librarianscook3 < .5
reg sqrtlibrarians area dezrev2 fedgth if librarianscook3 < .5
reg sqrtlibrarians area dezrev2 fedmadx if librarianscook3 < .5
* * model14 specification
reg sqrtlibrarians area dezrev3
* vif
hettest
* predict librarianshat4
predict librarianse4, r
* graph librarianse4 librarianshat4
* save librarians4.gph, replace
swilk librarianse4
predict librarianscook4, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook4 country if librarianscook4 > `max'
reg sqrtlibrarians area dezrev3 if librarianscook4 < .5
hettest
predict librarianshat5
predict librarianse5, r
graph librarianse5 librarianshat5 if librarianscook4 < .5
save librarians5.gph, replace
swilk librarianse5 if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 feddummy if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 fedtype if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 fedlijp if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 fedkeman if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 fedtreis if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 fedgth if librarianscook4 < .5
reg sqrtlibrarians area dezrev3 fedmadx if librarianscook4 < .5
* * model15 specification
reg sqrtlibrarians area legscan dezrev1
* vif
hettest
predict librarianshat6
predict librarianse6, r
graph librarianse6 librarianshat6
save librarians6.gph, replace
swilk librarianse6
predict librarianscook6, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook6 country if librarianscook6 > `max'
reg sqrtlibrarians area legscan dezrev1 if librarianscook6 < .5
hettest
reg sqrtlibrarians area legscan dezrev1 feddummy if librarianscook6 < .5
* reg sqrtlibrarians area legscan dezrev1 fedtype if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 fedlijp if librarianscook6 < .5
* reg sqrtlibrarians area legscan dezrev1 fedkeman if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedkeman if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 fedtreis if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 fedgth if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 fedmadx if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype feddummy if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype fedlijp if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype fedkeman if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype fedtreis if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype fedgth if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype fedmadx if librarianscook6 < .5
* * model16 specification
reg sqrtlibrarians area legscan dezexp
* vif
hettest
predict librarianshat7
predict librarianse7, r
graph librarianse7 librarianshat7
save librarians7.gph, replace
swilk librarianse7
predict librarianscook7, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook7 country if librarianscook7 > `max'
reg sqrtlibrarians area legscan dezexp if librarianscook7 < .5
hettest
reg sqrtlibrarians area legscan dezexp feddummy if librarianscook7 < .5
reg sqrtlibrarians area legscan dezexp fedtype if librarianscook7 < .5
reg sqrtlibrarians area legscan dezexp fedlijp if librarianscook7 < .5
* reg sqrtlibrarians area legscan dezexp fedkeman if librarianscook7 < .5
reg sqrtlibrarians area dezexp fedkeman if librarianscook7 < .5
reg sqrtlibrarians area legscan dezexp fedtreis if librarianscook7 < .5
reg sqrtlibrarians area legscan dezexp fedgth if librarianscook7 < .5
reg sqrtlibrarians area legscan dezexp fedmadx if librarianscook7 < .5
* * model2 specification
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq1 incineq2 pop area hdi02 legfren legscan democ medage
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq1 incineq2 pop area legfren legscan democ medage
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq1 incineq2 pop area legfren legscan medage
* reg sqrtlibrarians infl10 tradebal10 budgdef10 incineq1 incineq2 pop legfren legscan medage
* reg sqrtlibrarians tradebal10 budgdef10 incineq1 incineq2 pop legfren legscan medage
* reg sqrtlibrarians tradebal10 budgdef10 incineq1 incineq2 pop legfren medage
* reg sqrtlibrarians tradebal10 budgdef10 incineq2 pop legfren medage
reg sqrtlibrarians tradebal10 incineq2 pop legfren medage
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg sqrtlibrarians tradebal10 incineq2 pop legfren medage feddummy
* reg sqrtlibrarians tradebal10 incineq2 pop legfren medage fedtype
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedtype
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedlijp
* reg sqrtlibrarians tradebal10 legfren medage fedlijp
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedkeman
* reg sqrtlibrarians tradebal10 legfren medage fedkeman
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedtreis
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedgth
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedmadx
* reg sqrtlibrarians tradebal10 incineq2 legfren medage pcgrants
* reg sqrtlibrarians tradebal10 incineq2 legfren medage dezrev2
* reg sqrtlibrarians tradebal10 legfren medage dezrev2
* reg sqrtlibrarians legfren medage dezrev2
* reg sqrtlibrarians tradebal10 incineq2 legfren medage dezrev3
* reg sqrtlibrarians tradebal10 incineq2 legfren dezrev3
* reg sqrtlibrarians incineq2 legfren dezrev3
* reg sqrtlibrarians legfren dezrev3
* reg sqrtlibrarians tradebal10 incineq2 legfren medage dezrev4
* reg sqrtlibrarians tradebal10 incineq2 legfren medage borrauton
* reg sqrtlibrarians tradebal10 incineq2 legfren medage hbc
* reg sqrtlibrarians tradebal10 incineq2 legfren medage snadm
* reg sqrtlibrarians tradebal10 legfren medage snadm
* reg sqrtlibrarians tradebal10 incineq2 legfren medage dezrev1
* reg sqrtlibrarians tradebal10 incineq2 legfren medage pcsnborr
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fimb1
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fimb2
* reg sqrtlibrarians tradebal10 incineq2 legfren medage grants
* reg sqrtlibrarians tradebal10 incineq2 legfren medage dezexp
* reg sqrtlibrarians tradebal10 legfren medage dezexp
* reg sqrtlibrarians tradebal10 incineq2 legfren medage rec
* reg sqrtlibrarians tradebal10 legfren medage rec
* * model21 specification
reg sqrtlibrarians tradebal10 incineq2 legfren medage fedtype
* vif
hettest
* predict librarianshat8
predict librarianse8, r
* graph librarianse8 librarianshat8
* save librarians8.gph, replace
swilk librarianse8
predict librarianscook8, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook8 country if librarianscook8 > `max'
* reg sqrtlibrarians tradebal10 incineq2 legfren medage fedtype if librarianscook8 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype if librarianscook8 < .5
* * model failure
* *** 4th analysis (stepwise model selection)
sum pcrec
* * model3
* * sw reg sqrtlibrarians growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg sqrtlibrarians growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
sw reg sqrtlibrarians growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area ethnic religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
* predict librarianshat9
predict librarianse9, r
* graph librarianse9 librarianshat9
* save librarians9.gph, replace
swilk librarianse9
predict librarianscook9, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook9 country if librarianscook9 > `max'
reg sqrtlibrarians tradebal10 legfren medage pop if librarianscook9 < .5
hettest
predict librarianshat10
predict librarianse10, r
graph librarianse10 librarianshat10 if librarianscook9 < .5
save librarians10.gph, replace
swilk librarianse10 if librarianscook9 < .5
* * inclusion of federalism, decentralization, fiscal variables
* * model31
* reg sqrtlibrarians tradebal10 legfren medage pop if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop feddummy if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fedtype if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype if librarianscook9 < .5
* vif
hettest
reg sqrtlibrarians tradebal10 legfren medage fedtype feddummy if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype fedlijp if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype fedkeman if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype fedtreis if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype fedgth if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype fedmadx if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype dezrev2 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage fedtype dezrev3 if librarianscook9 < .5
reg sqrtlibrarians legfren medage fedtype dezrev3 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage fedtype dezrev4 if librarianscook9 < .5
reg sqrtlibrarians legfren medage fedtype dezrev4 if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype snadm if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype dezrev1 if librarianscook9 < .5
reg sqrtlibrarians tradebal10 legfren medage fedtype dezexp if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage fedtype rec if librarianscook9 < .5
reg sqrtlibrarians legfren medage fedtype rec if librarianscook9 < .5
* * model32
* reg sqrtlibrarians tradebal10 legfren medage pop fedlijp if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fedkeman if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop fedkeman if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fedtreis if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fedgth if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fedmadx if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop pcgrants if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop pcgrants if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop dezrev2 if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop dezrev2 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop dezrev3 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop dezrev4 if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop dezrev4 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop borrauton if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop borrauton if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop hbc if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop hbc if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop snadm if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop dezrev1 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop pcsnborr if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fimb1 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop fimb2 if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop grants if librarianscook9 < .5
* reg sqrtlibrarians legfren medage pop grants if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop dezexp if librarianscook9 < .5
* reg sqrtlibrarians tradebal10 legfren medage pop rec if librarianscook9 < .5
* * model4
* * sw reg sqrtlibrarians growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pcrec pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg sqrtlibrarians unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pcrec pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
sw reg sqrtlibrarians unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
predict librarianshat11
predict librarianse11, r
graph librarianse11 librarianshat11
save librarians11.gph, replace
swilk librarianse11
predict librarianscook11, cooksd
local max = 4/e(N)
* display `max'
tab librarianscook11 country if librarianscook11 > `max'
* * inclusion of federalism, decentralization, fiscal variables
* * model41
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage feddummy
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype
* vif
hettest
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype feddummy
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype fedlijp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype fedkeman
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan fedtype fedkeman
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedkeman
* reg sqrtlibrarians tradebal10 govsize10 incineq1 popdens legfren fedtype fedkeman
* reg sqrtlibrarians govsize10 incineq1 popdens legfren fedtype fedkeman
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman dezrev2
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman dezrev3
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman dezrev4
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman snadm
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman dezrev1
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman dezexp
reg sqrtlibrarians govsize10 popdens legfren fedtype fedkeman rec
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype fedtreis
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren medage fedtype fedtreis
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis dezrev2
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis dezrev4
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren fedtype fedtreis dezrev4
* reg sqrtlibrarians tradebal10 pop popdens legfren fedtype fedtreis dezrev4
reg sqrtlibrarians pop popdens legfren fedtype fedtreis dezrev4
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis snadm
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis dezrev1
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis dezexp
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtype fedtreis rec
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype fedgth
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype fedmadx
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype dezrev2
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan fedtype dezrev3
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren legscan fedtype dezrev3
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren legscan dezrev3
reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren dezrev3
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype dezrev4
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype snadm
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype dezrev1
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype dezexp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtype rec
* reg sqrtlibrarians govsize10 incineq1 pop popdens legfren legscan medage fedtype rec
* reg sqrtlibrarians govsize10 incineq1 pop popdens legfren legscan medage rec
reg sqrtlibrarians govsize10 incineq1 pop popdens legfren medage rec
* * model42
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedlijp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedkeman
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedtreis
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren medage fedtreis
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis
* vif
hettest
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype dezrev2
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype dezrev4
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren fedtreis fedtype dezrev4
* reg sqrtlibrarians tradebal10 pop popdens legfren fedtreis fedtype dezrev4
reg sqrtlibrarians pop popdens legfren fedtreis fedtype dezrev4
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype snadm
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype dezrev1
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype dezexp
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis fedtype rec
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis dezrev2
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis dezrev3
reg sqrtlibrarians govsize10 incineq1 pop popdens legfren fedtreis dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis dezrev4
* reg sqrtlibrarians govsize10 incineq1 pop popdens legfren fedtreis dezrev4
* reg sqrtlibrarians govsize10 pop popdens legfren fedtreis dezrev4
reg sqrtlibrarians pop popdens legfren fedtreis dezrev4
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis snadm
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis dezrev1
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis dezexp
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren fedtreis rec
* * model43
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedgth
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fedmadx
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage pcgrants
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren legscan medage pcgrants
* reg sqrtlibrarians tradebal10 govsize10 pop legfren legscan medage pcgrants
* reg sqrtlibrarians govsize10 pop legfren legscan medage pcgrants
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage dezrev2
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage dezrev3
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren legscan medage dezrev3
* reg sqrtlibrarians govsize10 pop popdens legfren legscan medage dezrev3
* reg sqrtlibrarians govsize10 pop popdens legfren medage dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage dezrev4
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan dezrev4
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage borrauton
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren legscan medage borrauton
* reg sqrtlibrarians tradebal10 govsize10 pop legfren legscan medage borrauton
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage hbc
* reg sqrtlibrarians tradebal10 govsize10 pop popdens legfren legscan medage hbc
* reg sqrtlibrarians tradebal10 govsize10 pop legfren legscan medage hbc
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage snadm
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage dezrev1
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage pcsnborr
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fimb1
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage fimb2
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage grants
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants feddummy
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedtype
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedlijp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedkeman
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedtreis
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedgth
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx
* vif
hettest
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx fedtype
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx dezrev2
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx dezrev3
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx dezrev4
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx snadm
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx dezrev1
reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx dezexp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fedmadx rec
* reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants fedmadx rec
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec
* * model44
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants pcgrants
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants dezrev2
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan grants dezrev3
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants dezrev4
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan grants dezrev4
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants borrauton
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants hbc
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants snadm
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants dezrev1
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants pcsnborr
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fimb1
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants fimb2
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants dezexp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren legscan medage grants rec
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec
* vif
hettest
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec feddummy
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec fedtype
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec fedlijp
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec fedkeman
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec fedtreis
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec fedgth
reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec fedmadx
* * model45
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage dezexp
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop popdens legfren legscan medage rec
* reg sqrtlibrarians govsize10 incineq1 pop popdens legfren legscan medage rec
* reg sqrtlibrarians govsize10 incineq1 pop popdens legfren medage rec
* *** 5th analysis (* 5th analysis: further models and tests of stability
version 9.0
* * model15
reg sqrtlib area legscan dezrev1 if librarianscook6 < .5
estat ic
* * inclusion of control variables
reg sqrtlibrarians area legscan dezrev1 infl10 if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 tradebal10 if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 budgdef10 if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 incineq1 if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 incineq2 if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 pop if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 hdi02 if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 democ if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 medage if librarianscook6 < .5
reg sqrtlibrarians area legscan dezrev1 polisys if librarianscook6 < .5
* reg sqrtlibrarians area legscan dezrev1 fedtype if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype if librarianscook6 < .5
estat ic
* additional inclusion of fedtype & control variables
reg sqrtlibrarians area dezrev1 fedtype infl10 if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype tradebal10 if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype budgdef10 if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype incineq1 if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype pop if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype hdi02 if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype democ if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype medage if librarianscook6 < .5
reg sqrtlibrarians area dezrev1 fedtype polisys if librarianscook6 < .5
* * model16
reg sqrtlibrarians area legscan dezexp if librarianscook7 < .5
estat ic
reg sqrtlibrarians area legscan dezexp fedtreis if librarianscook7 < .5
estat ic
reg sqrtlibrarians area legscan dezexp fedtype if librarianscook7 < .5
reg sqrtlibrarians area dezexp fedtype if librarianscook7 < .5
* * model3
reg sqrtlibrarians tradebal10 legfren pop medage 
predict librarianscook12, cooksd
reg sqrtlibrarians tradebal10 legfren medage pop if librarianscook12 < .5
* display 4/e(N)
* reg sqrtlibrarians tradebal10 legfren pop medage if librarianscook12 < 4/e(N)
* reg sqrtlibrarians tradebal10 legfren pop medage if librarianscook12 < .2
* reg sqrtlibrarians tradebal10 legfren medage if librarianscook12 < .2
* reg sqrtlibrarians tradebal10 legfren medage if librarianscook12 < 4/e(N)
* reg sqrtlibrarians tradebal10 legfren pop medage if librarianscook12 < .5
* reg sqrtlibrarians tradebal10 legfren pop medage
reg sqrtlibrarians tradebal10 legfren medage if librarianscook12 < .175
estat ic
hettest
predict librarianse13, r
swilk librarianse13 if librarianscook12 < .175
* * inclusion of federalism, decentralization
* reg sqrtlibrarians tradebal10 legfren medage feddummy if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage fedtype if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage fedlijp if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage fedkeman if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage fedtreis if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage fedgth if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage fedmadx if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage dezrev2 if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage dezrev3 if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage dezrev4 if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage snadm if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage dezrev1 if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren dezrev1 if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren medage dezexp if librarianscook12 < .175
* reg sqrtlibrarians tradebal10 legfren dezexp if librarianscook12 < .175
reg sqrtlibrarians legfren dezexp if librarianscook12 < .175
estat ic
* * inclusion of control variables
reg sqrtlibrarians legfren dezexp area if librarianscook12 < .175
reg sqrtlibrarians legfren dezexp legscan if librarianscook12 < .175
* * model32a
* reg sqrtlibrarians tradebal10 govsize10 incineq1 pop legfren fedtreis
* reg sqrtlibrarians govsize10 incineq1 pop legfren fedtreis
reg sqrtlibrarians govsize10 pop legfren fedtreis
hettest
* predict librarianscook14, cooksd
* reg sqrtlibrarians govsize10 pop legfren fedtreis if librarianscook14 < .5
* * inclusion of decentralization, control variables
* reg sqrtlibrarians govsize10 pop legfren fedtreis dezrev1
* vif
* * model32b
* reg sqrtlibrarians govsize10 pop legfren fedtreis dezexp
reg sqrtlibrarians govsize10 pop legfren dezexp
estat ic
* reg sqrtlibrarians govsize10 pop legfren dezexp infl10
* reg sqrtlibrarians govsize10 pop legfren dezexp budgdef10
* reg sqrtlibrarians govsize10 pop legfren dezexp area
reg sqrtlibrarians govsize10 legfren dezexp area
estat ic
* reg sqrtlibrarians govsize10 legfren dezexp area infl10
* reg sqrtlibrarians govsize10 legfren dezexp area incineq1
* reg sqrtlib govsize10 legfren dezexp area popdens
* reg sqrtlibrarians govsize10 legfren dezexp area hdi02
reg sqrtlibrarians govsize10 legfren area hdi02
estat ic
* reg sqrtlibrarians govsize10 legfren dezexp area democ
* reg sqrtlibrarians govsize10 legfren dezexp area legscan
* reg sqrtlibrarians govsize10 legfren dezexp area medage
* reg sqrtlibrarians govsize10 legfren dezexp area polisys
* reg sqrtlibrarians govsize10 legfren area polisys
* * model32c
* * inclusion of federalism, decentralization
reg sqrtlibrarians govsize10 legfren area hdi02 feddummy
reg sqrtlibrarians govsize10 legfren area hdi02 fedtype
reg sqrtlibrarians govsize10 legfren area hdi02 fedlijp
reg sqrtlibrarians govsize10 legfren area hdi02 fedkeman
reg sqrtlibrarians govsize10 legfren area hdi02 fedtreis
reg sqrtlibrarians govsize10 legfren area hdi02 fedgth
reg sqrtlibrarians govsize10 legfren area hdi02 fedmadx
* reg sqrtlibrarians govsize10 legfren area hdi02 dezrev2
reg sqrtlibrarians govsize10 legfren area dezrev2
* reg sqrtlibrarians govsize10 legfren area hdi02 dezrev3
reg sqrtlibrarians govsize10 legfren area dezrev3
reg sqrtlibrarians govsize10 legfren area hdi02 dezrev4
reg sqrtlibrarians govsize10 legfren area hdi02 snadm
reg sqrtlibrarians govsize10 legfren area hdi02 dezrev1
reg sqrtlibrarians govsize10 legfren area hdi02 dezexp
reg sqrtlibrarians govsize10 legfren area hdi02 feddummy dezrev1
estat ic
* * model34
* reg sqrtlibrarians govsize10 incineq1 pop legfren legscan medage grants rec
* vif
* hettest
* reg sqrtlibrarians govsize10 incineq1 pop legfren legscan grants rec
* reg sqrtlibrarians govsize10 incineq1 pop legfren legscan rec
reg sqrtlibrarians govsize10 incineq1 pop legfren rec
* vif
hettest
predict librarianse15, r
swilk librarianse15
reg sqrtlibrarians govsize10 incineq1 pop legfren rec
estat ic
* * inclusion of control variables
reg sqrtlibrarians govsize10 incineq1 pop legfren rec infl10
reg sqrtlibrarians govsize10 incineq1 pop legfren rec tradebal10
reg sqrtlibrarians govsize10 incineq1 pop legfren rec area
reg sqrtlibrarians govsize10 incineq1 pop legfren rec democ
reg sqrtlibrarians govsize10 incineq1 pop legfren rec polisys
log close

