version 7.0
set more off
capture log close
log using "C:\fd-data\pisa.log", replace
* *** pisa
use "C:\fd-data\fd-cross.dta", clear
* * distribution of pisa
swilk pisa
kdensity pisa, normal
save pisa.gph, replace
* gen lnpisa = log(pisa)
* swilk lnpisa
* drop lnpisa
* *** 1st analysis (bivariate)
reg pisa feddummy
reg pisa fedtype
reg pisa fedlijp
reg pisa fedkeman
reg pisa fedtreis
reg pisa fedgth
reg pisa fedmadx
reg pisa dezrev2
reg pisa dezrev3
reg pisa dezrev4
reg pisa snadm
reg pisa dezrev1
reg pisa dezexp
reg pisa edu
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum pisa
gen fpisa = pisa if feddummy == 1
gen upisa = pisa if feddummy == 0
sdtest fpisa = upisa
ttest fpisa = upisa, unpaired
* *** 3rd analysis (bivariate model selection)
* reg pisa growth10
* reg pisa unemp10
* reg pisa infl10
* reg pisa tradebal10
* reg pisa govsize10
* reg pisa socexp10
* reg pisa budgdef10
* reg pisa incineq1
* reg pisa incineq2
* reg pisa incineq3
* reg pisa pop
* reg pisa area
* reg pisa popdens
* reg pisa ethnic
* reg pisa religion
* reg pisa hdi02
* reg pisa urban
* reg pisa legeng
* reg pisa legfren
* reg pisa legger
* reg pisa legscan
* reg pisa democ
* reg pisa medage
* reg pisa polisys
* * model1 specification
* reg pisa growth10 infl10 tradebal10 incineq1 incineq2 religion hdi02 legeng legfren democ medage
* reg pisa growth10 infl10 tradebal10 incineq1 religion hdi02 legeng legfren democ medage
* reg pisa growth10 infl10 tradebal10 incineq1 religion hdi02 legeng legfren medage
* reg pisa growth10 infl10 tradebal10 incineq1 religion legeng legfren medage
* reg pisa growth10 infl10 tradebal10 incineq1 legeng legfren medage
* reg pisa growth10 infl10 incineq1 legeng legfren medage
* reg pisa growth10 infl10 incineq1 legeng legfren
* reg pisa infl10 incineq1 legeng legfren
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg pisa infl10 incineq1 legeng legfren feddummy
* reg pisa infl10 incineq1 legeng legfren fedtype
* reg pisa infl10 incineq1 legfren fedtype
* reg pisa infl10 legfren fedtype
* reg pisa infl10 incineq1 legeng legfren fedlijp
* reg pisa infl10 incineq1 legeng legfren fedkeman
* reg pisa infl10 incineq1 legeng fedkeman
* reg pisa infl10 incineq1 legeng legfren fedtreis
* reg pisa infl10 legeng legfren fedtreis
* reg pisa infl10 incineq1 legeng legfren fedgth
* reg pisa infl10 incineq1 legeng legfren fedmadx
* reg pisa infl10 incineq1 legeng legfren pcgrants
* reg pisa infl10 incineq1 legeng pcgrants
* reg pisa infl10 incineq1 legeng legfren dezrev2
* reg pisa infl10 incineq1 legeng dezrev2
* reg pisa infl10 incineq1 legeng legfren dezrev3
* reg pisa infl10 incineq1 legeng dezrev3
* reg pisa infl10 incineq1 legeng legfren dezrev4
* reg pisa infl10 incineq1 legeng legfren borrauton
* reg pisa infl10 incineq1 legeng borrauton
* reg pisa infl10 incineq1 legeng legfren hbc
* reg pisa infl10 incineq1 legeng hbc
* reg pisa infl10 incineq1 legeng legfren snadm
* reg pisa infl10 incineq1 legeng legfren dezrev1
* reg pisa infl10 incineq1 legeng legfren pcsnborr
* reg pisa infl10 incineq1 legeng legfren fimb1
* reg pisa infl10 incineq1 legeng legfren fimb2
* reg pisa infl10 incineq1 legeng legfren grants
* reg pisa infl10 incineq1 legeng legfren dezrev1
* reg pisa infl10 incineq1 legeng legfren pcedu
* reg pisa infl10 incineq1 legeng legfren edu
* * model11 specification
reg pisa infl10 legfren fedtype
* vif
hettest
predict pisahat1
predict pisae1, r
graph pisae1 pisahat1
save pisa1.gph, replace
swilk pisae1
predict pisacook1, cooksd
local max = 4/e(N)
* display `max'
tab pisacook1 country if pisacook1 > `max'
reg pisa infl10 legfren fedtype feddummy
reg pisa infl10 legfren fedtype fedlijp
reg pisa infl10 legfren fedtype fedkeman
reg pisa infl10 legfren fedtype fedtreis
reg pisa infl10 legfren fedtype fedgth
reg pisa infl10 legfren fedtype fedmadx
reg pisa infl10 legfren fedtype dezrev2
reg pisa infl10 legfren fedtype dezrev3
reg pisa infl10 legfren fedtype dezrev4
reg pisa infl10 legfren fedtype snadm
reg pisa infl10 legfren fedtype dezrev1
reg pisa infl10 legfren fedtype dezexp
reg pisa infl10 legfren fedtype edu
* * model12 specification
reg pisa infl10 legeng legfren fedtreis
* vif
hettest
predict pisahat2
predict pisae2, r
graph pisae2 pisahat2
save pisa2.gph, replace
swilk pisae2
predict pisacook2, cooksd
local max = 4/e(N)
* display `max'
tab pisacook2 country if pisacook2 > `max'
* reg pisa infl10 legeng legfren fedtreis fedtype
* reg pisa infl10 legfren fedtreis fedtype
reg pisa infl10 legfren fedtype
reg pisa infl10 legeng legfren fedtreis dezrev2
* reg pisa infl10 legeng legfren fedtreis dezrev3
* reg pisa infl10 legfren fedtreis dezrev3
reg pisa infl10 legfren dezrev3
reg pisa infl10 legeng legfren fedtreis dezrev4
reg pisa infl10 legeng legfren fedtreis snadm
reg pisa infl10 legeng legfren fedtreis dezrev1
reg pisa infl10 legeng legfren fedtreis dezexp
reg pisa infl10 legeng legfren fedtreis edu
* *** 4th analysis (stepwise model selection)
sum pcedu
* * model2
sw reg pisa growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
* predict pisahat3
predict pisae3, r
* graph pisae3 pisahat3
* save pisa3.gph, replace
swilk pisae3
predict pisacook3, cooksd
local max = 4/e(N)
* display `max'
tab pisacook3 country if pisacook3 > `max'
* reg pisa legfren democ unemp10 pop religion if pisacook3 < 1
reg pisa legfren democ unemp10 pop religion if pisacook3 < .5
hettest
predict pisahat4
predict pisae4, r
graph pisae4 pisahat4 if pisacook3 < .5
save pisa4.gph, replace
swilk pisae4 if pisacook3 < .5
* * inclusion of decentralization, federalism, fiscal variables
* * model21
* reg pisa legfren democ unemp10 pop religion feddummy if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion fedtype if pisacook3 < .5
reg pisa legfren democ unemp10 religion fedtype if pisacook3 < .5
* vif
hettest
reg pisa legfren democ unemp10 religion fedtype if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype feddummy if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedlijp if pisacook3 < .5, robust
* reg pisa legfren democ unemp10 religion fedtype fedkeman if pisacook3 < .5, robust
reg pisa legfren democ unemp10 fedtype fedkeman if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedtreis if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedmadx if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype dezrev2 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype dezrev3 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype dezrev4 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype snadm if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype dezrev1 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype dezexp if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype edu if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth dezrev2 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth dezrev3 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth dezrev4 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth snadm if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth dezrev1 if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth dezexp if pisacook3 < .5, robust
reg pisa legfren democ unemp10 religion fedtype fedgth edu if pisacook3 < .5, robust
* * model22
* reg pisa legfren democ unemp10 pop religion fedlijp if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman if pisacook3 < .5
* vif
hettest
reg pisa legfren democ unemp10 pop religion fedkeman fedtype if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman dezrev2 if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman dezrev3 if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman dezrev4 if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman snadm if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman dezrev1 if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman dezexp if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman edu if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedlijp dezrev1 if pisacook3 < .5
estat ic
* * model23
* reg pisa legfren democ unemp10 pop religion fedtreis if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion fedgth if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion fedmadx if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcgrants if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion dezrev2 if pisacook3 < .5
* vif
hettest
reg pisa legfren democ unemp10 pop religion dezrev2 feddummy if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion dezrev2 fedtype if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezrev2 fedlijp if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedlijp if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezrev2 fedkeman if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedkeman if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezrev2 fedtreis if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedtreis if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion dezrev2 fedgth if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezrev2 fedmadx if pisacook3 < .5
reg pisa legfren democ unemp10 pop religion fedmadx if pisacook3 < .5
* * model24
* reg pisa legfren democ unemp10 pop religion dezrev3 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezrev4 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion borrauton if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion hbc if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion snadm if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezrev1 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr feddummy if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fedtype if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fedlijp if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fedkeman if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fedtreis if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fedgth if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fedmadx if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr pcgrants if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr dezrev2 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr dezrev3 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr dezrev4 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr borrauton if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr hbc if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr snadm if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr dezrev1 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fimb1 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr fimb2 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr grants if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr dezexp if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion pcsnborr edu if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion fimb1 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion fimb2 if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion grants if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion dezexp if pisacook3 < .5
* reg pisa legfren democ unemp10 pop religion edu if pisacook3 < .5
* * model3
sw reg pisa unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pcedu pop popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
predict pisahat5
predict pisae5, r
graph pisae5 pisahat5
save pisa5.gph, replace
swilk pisae5
predict pisacook5, cooksd
local max = 4/e(N)
* display `max'
tab pisacook5 country if pisacook5 > `max'
* reg pisa legger democ pcedu budgdef10 pop legfren if pisacook5 < .5
* reg pisa legger democ pcedu budgdef10 pop legfren
* reg pisa legger democ pcedu budgdef10 pop legfren if pisacook5 < .5
* vif
* hettest
* predict pisahat6
* predict pisae6, r
* graph pisae6 pisahat6 if pisacook5 < .5
* save pisa6.gph, replace
* swilk pisae6 if pisacook5 < .5
* * full model superior
* * inclusion of decentralization, federalism, fiscal variables
* * model31
* reg pisa legger democ pcedu budgdef10 pop legfren
* reg pisa legger democ pcedu budgdef10 pop legfren feddummy
* reg pisa legger democ pcedu budgdef10 pop legfren fedtype 
* reg pisa legger democ pcedu budgdef10 pop legfren fedlijp
* reg pisa legger democ pcedu budgdef10 pop legfren fedkeman
reg pisa democ pcedu budgdef10 pop legfren fedkeman
* vif
hettest
reg pisa democ pcedu budgdef10 pop legfren fedkeman fedtype
reg pisa democ pcedu budgdef10 pop legfren fedkeman dezrev2
reg pisa democ pcedu budgdef10 pop legfren fedkeman dezrev3
reg pisa democ pcedu budgdef10 pop legfren fedkeman dezrev4
reg pisa democ pcedu budgdef10 pop legfren fedkeman snadm
reg pisa democ pcedu budgdef10 pop legfren fedkeman dezrev1
* reg pisa democ pcedu budgdef10 pop legfren fedkeman dezexp
reg pisa democ pcedu budgdef10 pop legfren dezexp
reg pisa democ pcedu budgdef10 pop legfren fedkeman edu
* * model32
* reg pisa legger democ pcedu budgdef10 pop legfren fedtreis
* reg pisa legger democ pcedu budgdef10 pop legfren fedgth
* reg pisa legger democ pcedu budgdef10 pop legfren fedmadx
* reg pisa legger democ pcedu budgdef10 pop legfren pcgrants
* reg pisa legger democ pcedu budgdef10 pop legfren dezrev2
* reg pisa legger democ pcedu budgdef10 pop legfren dezrev3
* reg pisa legger democ pcedu budgdef10 pop legfren dezrev4
* reg pisa legger democ pcedu budgdef10 pop legfren borrauton
* reg pisa legger democ pcedu budgdef10 pop legfren hbc 
* reg pisa legger democ pcedu budgdef10 pop legfren snadm
* reg pisa legger democ pcedu budgdef10 pop legfren dezrev1
* reg pisa legger democ pcedu budgdef10 pop legfren pcsnborr
* reg pisa legger democ pcedu budgdef10 pop legfren fimb1
* reg pisa legger democ pcedu budgdef10 pop legfren fimb2
* reg pisa legger democ pcedu budgdef10 pop legfren grants
* reg pisa legger democ pcedu budgdef10 pop legfren dezexp
* reg pisa legger democ pcedu budgdef10 pop legfren edu
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model12
reg pisa infl10 legfren fedtype
estat ic
* reg pisa infl10 legfren fedtype incineq1
reg pisa infl10 legfren fedtype legeng
estat ic
* * model4a
reg pisa legfren democ unemp10 pop religion
predict pisacook6, cooksd
* reg pisa legfren democ unemp10 religion fedtype if pisacook6 < .5
reg pisa legfren democ unemp10 fedtype if pisacook6 < .5
estat hettest
* reg pisa legfren democ unemp10 fedtype if pisacook6 < .5, robust hc3
reg pisa legfren democ unemp10 if pisacook6 < .5, robust hc3
estat ic
reg pisa legfren democ unemp10 if pisacook6 < .5
hettest
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg pisa legfren democ unemp10 feddummy if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype if pisacook6 < .5
* reg pisa legfren democ unemp10 fedlijp if pisacook6 < .5
* reg pisa legfren democ unemp10 fedkeman if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtreis if pisacook6 < .5
* reg pisa legfren democ unemp10 fedgth if pisacook6 < .5
* reg pisa legfren democ unemp10 fedmadx if pisacook6 < .5
* reg pisa legfren democ unemp10 pcgrants if pisacook6 < .5
* reg pisa legfren democ unemp10 dezrev2 if pisacook6 < .5
* reg pisa legfren democ unemp10 dezrev3 if pisacook6 < .5
* reg pisa legfren democ unemp10 dezrev4 if pisacook6 < .5
* reg pisa legfren democ unemp10 borrauton if pisacook6 < .5
* reg pisa legfren democ unemp10 hbc if pisacook6 < .5
* reg pisa legfren democ unemp10 snadm if pisacook6 < .5
* reg pisa legfren democ unemp10 dezrev1 if pisacook6 < .5
* reg pisa legfren democ unemp10 pcsnborr if pisacook6 < .5
* reg pisa legfren democ unemp10 fimb1 if pisacook6 < .5
* reg pisa legfren democ unemp10 fimb2 if pisacook6 < .5
* reg pisa legfren democ unemp10 grants if pisacook6 < .5
* reg pisa legfren democ unemp10 dezexp if pisacook6 < .5
* * additional inclusion of fderalism, decentralization
* reg pisa legfren democ unemp10 fedtype feddummy if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype fedlijp if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype fedkeman if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype fedtreis if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype fedgth if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype fedmadx if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype dezrev2 if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype dezrev3 if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype dezrev4 if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype snadm if pisacook6 < .5
* reg pisa legfren democ fedtype snadm if pisacook6 < .5
* reg pisa legfren fedtype snadm if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype dezrev1 if pisacook6 < .5
* reg pisa legfren democ unemp10 fedtype dezexp if pisacook6 < .5
reg pisa legfren fedtype snadm if pisacook6 < .5
estat ic
hettest
* * inclusion of control variables
reg pisa legfren fedtype snadm infl10 if pisacook6 < .5
reg pisa legfren fedtype snadm legeng if pisacook6 < .5
* * model4b
* reg pisa legfren democ unemp10 fedtype if pisacook6 < .5
* hettest
reg pisa legfren democ unemp10 fedtype if pisacook6 < .5, robust
* reg pisa legfren democ unemp10 pop religion dezrev2 if pisacook6 < .5
reg pisa democ budgdef10 legfren legger pop pcedu
* vif
estat ic
hettest
* * inclusion of federalism
* reg pisa democ budgdef10 legfren legger pop pcedu feddummy
* reg pisa democ budgdef10 legfren legger pop pcedu fedtype
* reg pisa democ budgdef10 legfren legger pop pcedu fedlijp
* reg pisa democ budgdef10 legfren legger pop pcedu fedkeman
* reg pisa democ budgdef10 legfren pop pcedu fedkeman
* reg pisa budgdef10 legfren pop pcedu fedkeman
* reg pisa budgdef10 pop pcedu fedkeman
* reg pisa democ budgdef10 legfren legger pop pcedu fedtreis
reg pisa legfren snadm fedtype
hettest
predict pisacook7, cooksd
tab country pisacook7 if pisacook7 > .25
log close

